@echo off

set "port_string="

:parse_args
if "%1"=="" goto install
if /i "%1"=="-p" (
    set "port_string=connect %2"
    shift
    shift
    goto parse_args
)
if /i "%1"=="-h" (
    call :display_help
    exit /b 0
)

:install

echo Installing oled library

python -m mpremote %port_string% fs mkdir lib/qwiic_i2c
python -m mpremote %port_string% fs mkdir lib/qwiic_oled_base
python -m mpremote %port_string% fs mkdir lib/qwiic_oled_base/fonts

python -m mpremote %port_string% fs cp qwiic_i2c/__init__.py :lib/qwiic_i2c/__init__.py
python -m mpremote %port_string% fs cp qwiic_i2c/circuitpy_i2c.py :lib/qwiic_i2c/circuitpy_i2c.py
python -m mpremote %port_string% fs cp qwiic_i2c/i2c_driver.py :lib/qwiic_i2c/i2c_driver.py
python -m mpremote %port_string% fs cp qwiic_i2c/linux_i2c.py :lib/qwiic_i2c/linux_i2c.py
python -m mpremote %port_string% fs cp qwiic_i2c/micropython_i2c.py :lib/qwiic_i2c/micropython_i2c.py

python -m mpremote %port_string% fs cp qwiic_oled_base/__init__.py :lib/qwiic_oled_base/__init__.py
python -m mpremote %port_string% fs cp qwiic_oled_base/oled_fonts.py :lib/qwiic_oled_base/oled_fonts.py
python -m mpremote %port_string% fs cp qwiic_oled_base/oled_logos.py :lib/qwiic_oled_base/oled_logos.py
python -m mpremote %port_string% fs cp qwiic_oled_base/qwiic_oled_base.py :lib/qwiic_oled_base/qwiic_oled_base.py

python -m mpremote %port_string% fs cp qwiic_oled_base/fonts/0_font5x7.bin :lib/qwiic_oled_base/fonts/0_font5x7.bin
python -m mpremote %port_string% fs cp qwiic_oled_base/fonts/1_font8x16.bin :lib/qwiic_oled_base/fonts/1_font8x16.bin
python -m mpremote %port_string% fs cp qwiic_oled_base/fonts/2_7segment.bin :lib/qwiic_oled_base/fonts/2_7segment.bin
python -m mpremote %port_string% fs cp qwiic_oled_base/fonts/3_fontlargenumber.bin :lib/qwiic_oled_base/fonts/3_fontlargenumber.bin
python -m mpremote %port_string% fs cp qwiic_oled_base/fonts/4_fontlargeletter31x48.bin :lib/qwiic_oled_base/fonts/4_fontlargeletter31x48.bin

python -m mpremote %port_string% reset
exit /b 0

:display_help
echo Usage: %~nx0 [-p PORT]
echo Options:
echo   -p PORT     Specify the device port
echo   -h          Display this help message
exit /b 0